use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
my $NAME    = 'Vispan';
my $DISTNAME= "Vispan";

WriteMakefile(
    'INSTALLSCRIPT' => '/usr/local/bin',
    'PREREQ_PM' => {
			ExtUtils::MakeMaker => 6.00,
			Number::Format => 1.45,
			HTTP::Date => 1.44,
			Mail::Sendmail => 0.79,
			Net::DNS => 0,
			Net::CIDR => 0,
			GD::Graph => 1.20,
			},
    'PREREQ_FATAL' => 'true',
    'NAME'     => $NAME,
    'VERSION_FROM'  => 'bin/Vispan',
    'DISTNAME' => $DISTNAME,
    'EXE_FILES' => [qw(bin/Vispan)],
    'AUTHOR'   => 'Vispan <vispan@while.homeunix.net>',
    'ABSTRACT' => 'Collection of modules used by Vispan.',
    'dist' => {'PREOP' => '../cvs2cl.pl'},
);

package MY;

sub postamble {
   return <<'MAKE_FRAG';
zconfig :: 
	@$(PERL) install.pl

MAKE_FRAG
}

sub install {
        my $clss = shift;
        my $install = $clss->SUPER::install(@_);
        $install =~ s/^(install\s+::\s+.*)$/$1 zconfig/m;
        return $install;
    }

