#!/usr/bin/perl

#
#   Vispan - VIrus and SPam ANalyser
#	This program analyses the mail log file entries created by the 
#	MailScanner program written by Julian Field. It is available at
#	http://www.mailscanner.info
#
#   Copyright (C) 2002  David While
#
#   $Id: install.pl,v 1.10 2004/04/05 16:39:22 dwhile Exp $
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#   The author, David While, can be contacted by email at
#      david.while@uce.ac.uk
#   or by paper mail at
#      David While
#      School of Computing
#      University of Central England
#      Birmingham
#      B42 2SU
#      United Kingdom
#

#use strict;

my $val = "";

use Vispan::Setup;
# Copy the Config file
my $ConfigFile = '/etc/Vispan.conf';

if(! -e $ConfigFile){
	$val = `cp Vispan.conf /etc`;
} else {
	$val = `cp /etc/Vispan.conf /etc/Vispan.conf.old`;
	Setup::UpgradeConfigFile($ConfigFile);
	print "Your old config file has been saved in the /etc directory\n";
        print "with an extension of .old\n";
}

#Configure a Cron Job

if ( -e "/etc/cron.d/vispan" )
{
  print "/etc/cron.d/vispan already exists, not creating.\n";
}
else
{
  system("/bin/cp vispan.cron /etc/cron.d/vispan") == 0 or die "Error copying vispan.cron to /etc/cron.d/vispan!  $!\n";
}
